Update Business

http
PUT https://services.leadconnectorhq.com/businesses/{businessId}

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
businessIdstringYes5DP4iH6HLkQsiKESj6rh

Body

NameTypeRequiredExampleDescription
namestringNoMicrosoft
phonestringNo+18832327657
emailstringNojohn@deo.com
postalCodestringNo12312312
websitestringNowww.xyz.com
addressstringNostreet adress
statestringNonew york
citystringNonew york
countrystringNous
descriptionstringNobusiness description

Responses

200 - Successful response
  • success (boolean, required): Success Value Example: True

  • buiseness (object, required): Business Response

json
{
  "success": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X PUT 'https://services.leadconnectorhq.com/businesses/YOUR_businessId' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Microsoft",
  "phone": "+18832327657",
  "email": "john@deo.com",
  "postalCode": "12312312",
  "website": "www.xyz.com",
  "address": "street adress",
  "state": "new york",
  "city": "new york",
  "country": "us",
  "description": "business description"
}'

Last updated October 26, 2026

Was this page helpful?